# $Revision: 1.13 $, $Date: 2004/01/31 21:33:53 $
%define	iwidgets_version 4.0.1
Summary:	[incr Tcl] - object-oriented extension of the Tcl language
Summary(pl):	[incr Tcl] - obiektowo zorientowane rozszerzenie jzyka Tcl
Name:		itcl
Version:	3.2.1
Release:	2
License:	distributable
Group:		Development/Languages/Tcl
Source0:	http://dl.sourceforge.net/incrtcl/%{name}%{version}_src.tgz
# Source0-md5:	44dcc2129232329cacd6c8abebf38403
Source1:	http://dl.sourceforge.net/incrtcl/iwidgets%{iwidgets_version}.tar.gz
# Source1-md5:	0e9c140e81ea6015b56130127c7deb03
Patch0:		%{name}-DESTDIR.patch
Patch1:		%{name}-soname.patch
Patch2:		%{name}-libdir.patch
URL:		http://incrtcl.sourceforge.net/itcl/
BuildRequires:	autoconf >= 2.13
BuildRequires:	automake
BuildRequires:	tcl-devel >= 8.0.3
BuildRequires:	tk-devel >= 8.0.3
Requires:	tcl >= 8.0.3
Requires:	tk >= 8.0.3
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_ulibdir	%{_prefix}/lib

%description
[incr Tcl] provides the extra language support needed to build large
Tcl/Tk applications. It introduces the notion of objects, which act as
building blocks for an application. Each object is a bag of data with
a set of procedures or "methods" that are used to manipulate it.
Objects are organized into "classes" with identical characteristics,
and classes can inherit functionality from one another. This
object-oriented paradigm adds another level of organization on top of
the basic variable/procedure elements, and the resulting code is
easier to understand and maintain.

%description -l pl
[incr Tcl] dostarcza dodatkowe wsparcie jzyka potrzebne przy
tworzeniu duych aplikacji Tcl/Tk. Wprowadza pojcie obiektw, ktre
su jako bloki do budowania aplikacji. Kady obiekt jest workiem
danych ze zbiorem procedur lub "metod", ktre su do manipulowania
tymi danymi. Obiekty s organizowane w "klasy" o identycznej
charakterystyce, a klasy mog dziedziczy funkcjonalno z innych
klas. Ten paradygmat orientacji obiektowej dodaje dodatkowy poziom
zorganizowania do podstawowych elementw zmiennych i procedur, a
wynikajcy z tego kod jest atwiejszy do zrozumienia i utrzymania.

%package devel
Summary:	Header files for itcl/itk libraries
Summary(pl):	Pliki nagwkowe dla itcl/itk libraries
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	tcl-devel >= 8.0.3
Requires:	tk-devel >= 8.0.3

%description devel
Header files for itcl/itk libraries.

%description devel -l pl
Pliki nagwkowe dla itcl/itk libraries.

%prep
%setup -qn %{name}%{version} -a1
%patch0 -p1
%patch1 -p1
%patch2 -p1

%build
cd itcl
%{__autoconf}
cd ../itk
%{__autoconf}
cd ..
%{__autoconf}
cp -f /usr/share/automake/config.* config
%configure
%{__make} \
	CFLAGS_DEFAULT="%{rpmcflags} -D__NO_STRING_INLINES -D__NO_MATH_INLINES"

cd iwidgets%{iwidgets_version}
%{__autoconf}
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%{__make} -C iwidgets%{iwidgets_version} install \
	INSTALL_ROOT=$RPM_BUILD_ROOT \
	MAN_INSTALL_DIR=$RPM_BUILD_ROOT%{_mandir}/mann

%if "%{_ulibdir}" != "%{_libdir}"
mv -f $RPM_BUILD_ROOT%{_libdir}/itcl3.2/pkgIndex.tcl $RPM_BUILD_ROOT%{_ulibdir}/itcl3.2
mv -f $RPM_BUILD_ROOT%{_libdir}/itk3.2/pkgIndex.tcl $RPM_BUILD_ROOT%{_ulibdir}/itk3.2
%endif

install -d iwidgets
cp -f iwidgets%{iwidgets_version}/{CHANGES,ChangeLog,README,license.terms} iwidgets

rm $RPM_BUILD_ROOT%{_ulibdir}/iwidgets
ln -sf %{_ulibdir}/iwidgets%{iwidgets_version} \
	$RPM_BUILD_ROOT%{_ulibdir}/iwidgets

cd $RPM_BUILD_ROOT%{_libdir}
ln -sf libitcl3.2.so.*.* libitcl3.2.so
ln -sf libitcl3.2.so.*.* libitcl.so
ln -sf libitk3.2.so.*.* libitk3.2.so
ln -sf libitk3.2.so.*.* libitk.so

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc CHANGES ChangeLog INCOMPATIBLE README TODO license.terms iwidgets
%attr(755,root,root) %{_libdir}/lib*.so.*.*
%{_ulibdir}/itcl*
%{_ulibdir}/itk*
%{_ulibdir}/iwidgets*
%{_mandir}/mann/*

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/lib*.so
%{_libdir}/lib*stub*.a
%{_includedir}/*.h

%define	date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: itcl.spec,v $
Revision 1.13  2004/01/31 21:33:53  qboosh
- libdir patch and other changes for lib64 support; release 2

Revision 1.12  2004/01/01 23:08:44  qboosh
- base R: tcl,tk, -devel R: tcl-devel,tk-devel

Revision 1.11  2003/12/31 17:47:17  qboosh
- added soname patch and -devel package

Revision 1.10  2003/10/07 15:21:50  qboosh
- pl, use optflags, added ldconfig, fixed so attr

Revision 1.9  2003/09/25 23:20:30  ankry
- formatting

Revision 1.8  2003/09/25 14:51:17  wiget
- cosmetic

Revision 1.7  2003/09/25 14:50:01  wiget
- realy realy URLs fix

Revision 1.6  2003/09/25 14:48:53  wiget
- realy URLs fix

Revision 1.5  2003/09/25 14:47:59  wiget
- URLs fix

Revision 1.4  2003/09/25 13:15:38  jajcus
- MD5 summ added for Source1

Revision 1.3  2003/09/25 13:15:15  jajcus
- [incr Widgets] added (todo: break into subpackages)

Revision 1.2  2003/09/25 12:41:58  jajcus
- MD5 sums fixed

Revision 1.1  2003/09/25 12:35:48  jajcus
- new spec
